Get Event
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/alerts/events/v3/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/alerts/events/v3/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/alerts/events/v3/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"singleEvent": {
"companyId": 1,
"cxEventKey": "test",
"cxEventLabels": {},
"cxEventPayload": {},
"cxEventPayloadType": "test_payload_type",
"cxEventTimestamp": "2024-05-05T00:00:00.000Z",
"cxEventType": "test_type",
"cxEventDedupKey": "test_dedup_key",
"cxEventMetadata": {}
},
"multipleEvents": {
"events": [
{
"companyId": 1,
"cxEventKey": "test",
"cxEventLabels": {},
"cxEventPayload": {},
"cxEventPayloadType": "test_payload_type",
"cxEventTimestamp": "2024-05-05T00:00:00.000Z",
"cxEventType": "test_type",
"cxEventDedupKey": "test_dedup_key",
"cxEventMetadata": {}
}
]
}
},
"pagination": {
"nextPageToken": "test",
"totalSize": 10
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Events Service
Get Event
Returns the alert event with the specified ID.
Get Event
Authorizations
API key authentication
Path Parameters
Unique identifier of the alert event to retrieve.
Example:
"test"
Query Parameters
The order bys.
Show child attributes
Show child attributes
Pagination parameters for the response.
Show child attributes
Show child attributes
Response
Response containing the details of an alert event.
Was this page helpful?
⌘I